latest kopano build breaks z-push functionality


  • Kopano

    Hi ckruijntjens,

    yes, logging in server.cfg is disabled per default. You have to enable that.

    You could try to changes sources to point to the official Kopano repository and re-install packages.

    Manfred



  • @Manfred

    What packages are needed for zpush. Maybe i can check these first


  • Kopano

    Hi ckruijntjens,

    apt show packagename
    

    shows the dependencies for packagename. Z-Push depends on php7-mapi or php5-mapi which come from Kopano repositories. Of course they have their own dependencies from other packages in Kopano repository which you have to check.

    Manfred



  • @Manfred

    All of this is installed i dont get it. Before the upgrade there where no problems. I will look if i can revert back to the previous version and see if it works again



  • @Manfred

    hi manfred i dig in some furher and it has nothing to do with my z-push server. i put back the old server with apache and have the same thing. it has to do with the kopano server but what could it be?



  • @Manfred

    hi manfred i did the following:

    i restored a snapshot when it was working. and it releay is working. When i login i get the zpush page and that get is not supported. However when i upgrade the kopano server and restart the serviceses i get after the login prompt a page 503 not found error. The wbapp application is working as expected.

    @fbartels Maybe this has to go out of the zpush category, because its not zpush related i believe.



  • @Manfred

    i think i am missing a new depency. if i upgrade now it works but packages are held back by debian.

    The following packages were automatically installed and are no longer required:
      libfann2 libluajit-5.1-2 libluajit-5.1-common
    Use 'apt autoremove' to remove them.
    The following packages have been kept back:
      kopano-client kopano-contacts kopano-dagent kopano-gateway kopano-ical
      kopano-monitor kopano-python-utils kopano-search kopano-server kopano-spooler
      kopano-utils libkcinetmapi0 libkcpyplug0 libkcserver0 libkcsoap0 php7-mapi
      python3-kopano python3-kopano-search python3-kopano-utils python3-mapi
    0 upgraded, 0 newly installed, 0 to remove and 20 not upgraded.
    

    If i force the upgrade it breaks.



  • @Manfred

    and a litle bit furthe again. After these package upgrades it breaks:

    root@mail:~# apt-get upgrade
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Calculating upgrade... Done
    The following packages were automatically installed and are no longer required:
      libfann2 libgsoap-kopano-2.8.83 libluajit-5.1-2 libluajit-5.1-common
    Use 'apt autoremove' to remove them.
    The following packages have been kept back:
      libkcinetmapi0
    The following packages will be upgraded:
      kopano-search kopano-server libkcserver0 libkcsoap0 python3-kopano
      python3-kopano-search python3-kopano-utils
    7 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
    Need to get 0 B/1,263 kB of archives.
    After this operation, 3,072 B of additional disk space will be used.
    Do you want to continue? [Y/n] y
    


  • @Manfred

    Hi am i doing something wrong?


  • Kopano

    @ckruijntjens said in latest kopano build breaks z-push functionality:

    After these package upgrades it breaks

    What exactly do you mean with “breaks”? The message about kept back packages? Apt only updates packages when running an upgrade. To also get new/changed dependencies in you need to run full-upgrade.



  • @fbartels

    hi i have done this, but after this step mobile sync is not working anymore. so all is fine until the last step

    The following packages will be upgraded:
    kopano-search kopano-server libkcserver0 libkcsoap0 python3-kopano
    python3-kopano-search python3-kopano-utils

    When these above packages are upgraded i get a blank page after login.(503) if i restore my backup before the update everything is working again as it should.


  • Kopano

    @ckruijntjens said in latest kopano build breaks z-push functionality:

    8.7.81.32.d84d89fd9-0+229.1

    ah, this is the build with the new gsoap. if you check on your server with netstat on which ports kopano-server is listening you will notice that it currently only listens on ipv6, while z-push want to talk to it through ipv4.

    https://jira.kopano.io/browse/KC-1501



  • @fbartels

    a thank you for your reply and indeed this is the problem. How can i make it that kopano listens on ipv4 again?


  • Kopano

    @ckruijntjens you have to wait until to above linked ticket has been fixed.



  • @fbartels

    ok thank you. now i now it is not a problem on my side. thank you for the reply and explaining.



  • @fbartels

    Hi any eta on the fix?



  • Hej.

    Working on Supported, but there is a z-push login error, too.

    First you should check /etc/kopano/server.cfg is bind to the IP-address you prefer.

    #server_listen = *:236
    server_listen = [1.2.3.4]:236
    

    Before update *:236 is binding kopano-server to all IP-addresses running on the maschine. After update, kopano-server bind it self only to localhost.

    Our WebApp- and z-push-server are running on a different maschine in a dmz. So, not all packages from core are needed to be installed, but kopano-server need to run on an IP of choise. Maybe, if you run core grater then 8.7.x two more dependencies (libkcutil0) need to be installed, because they not installed automatically:

    libhx28
    libjsoncpp1
    

    After that, z-push AND WebApp working as supposed.

    Regards
    Marcus



  • @marcus-bauch

    Hi marcus yust tried however server is not listening on the ip and port provided.



  • Hi All,

    After latest build (last night) everything seems to work again


Log in to reply